unit Test.DefaultComputator;
{

  Delphi DUnit Test Case
  ----------------------
  This unit contains a skeleton test case class generated by the Test Case Wizard.
  Modify the generated code to correctly setup and call the methods from the unit 
  being tested.

}

interface

uses
  TestFramework, SysUtils, DefaultComputator;

type
  // Test methods for class TDefaultComputator

  TestTDefaultComputator = class(TTestCase)
  strict private
    FDefaultComputator: TDefaultComputator;
  public
    procedure SetUp; override;
    procedure TearDown; override;
  published
    procedure TestCompute;
  end;

implementation

procedure TestTDefaultComputator.SetUp;
begin
  FDefaultComputator := TDefaultComputator.Create;
end;

procedure TestTDefaultComputator.TearDown;
begin
  FDefaultComputator.Free;
  FDefaultComputator := nil;
end;

procedure TestTDefaultComputator.TestCompute;
var
  ReturnValue: Double;
  Right: Double;
  Left: Double;
begin
  // TODO: Setup method call parameters
  ReturnValue := FDefaultComputator.Compute(1, 1);
  // TODO: Validate method results
end;

initialization
  // Register any test cases with the test runner
  RegisterTest(TestTDefaultComputator.Suite);
end.

